Loading...
Searching...
No Matches
AVFilterFormatsConfig Struct Reference
libavfilter

Lists of formats / etc. More...

`#include <libavfilter/avfilter.h>`

## Data Fields

AVFilterFormats * | formats
| List of supported formats (pixel or sample).
AVFilterFormats * | samplerates
| Lists of supported sample rates, only for audio.
AVFilterChannelLayouts * | channel_layouts
| Lists of supported channel layouts, only for audio.
AVFilterFormats * | color_spaces
| Lists of supported YUV color metadata, only for YUV video.
AVFilterFormats * | color_ranges
| AVColorRange.

## Detailed Description

Lists of formats / etc.

supported by an end of a link.

This structure is directly part of AVFilterLink, in two copies: one for the source filter, one for the destination filter.

These lists are used for negotiating the format to actually be used, which will be loaded into the format and channel_layout members of AVFilterLink, when chosen.

Definition at line 121 of file avfilter.h.

## Field Documentation

## formats

AVFilterFormats* AVFilterFormatsConfig::formats

List of supported formats (pixel or sample).

Definition at line 126 of file avfilter.h.

## samplerates

AVFilterFormats* AVFilterFormatsConfig::samplerates

Lists of supported sample rates, only for audio.

Definition at line 131 of file avfilter.h.

## channel_layouts

AVFilterChannelLayouts* AVFilterFormatsConfig::channel_layouts

Lists of supported channel layouts, only for audio.

Definition at line 136 of file avfilter.h.

## color_spaces

AVFilterFormats* AVFilterFormatsConfig::color_spaces

Lists of supported YUV color metadata, only for YUV video.

AVColorSpace

Definition at line 141 of file avfilter.h.

## color_ranges

AVFilterFormats* AVFilterFormatsConfig::color_ranges

AVColorRange.

Definition at line 142 of file avfilter.h.

The documentation for this struct was generated from the following file:

- libavfilter/avfilter.h